# @ 2021 Akretion - www.akretion.com.br -
#   Magno Costa <magno.costa@akretion.com.br>
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from openupgradelib import openupgrade

_xml_ids_cnab_code_renames = [
    # Bradesco
    # Codigo de Instrução 240
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_01",
        "l10n_br_account_payment_order.bradesco_240_instruction_01",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_02",
        "l10n_br_account_payment_order.bradesco_240_instruction_02",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_03",
        "l10n_br_account_payment_order.bradesco_240_instruction_03",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_04",
        "l10n_br_account_payment_order.bradesco_240_instruction_04",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_05",
        "l10n_br_account_payment_order.bradesco_240_instruction_05",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_06",
        "l10n_br_account_payment_order.bradesco_240_instruction_06",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_07",
        "l10n_br_account_payment_order.bradesco_240_instruction_07",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_08",
        "l10n_br_account_payment_order.bradesco_240_instruction_08",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_09",
        "l10n_br_account_payment_order.bradesco_240_instruction_09",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_10",
        "l10n_br_account_payment_order.bradesco_240_instruction_10",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_11",
        "l10n_br_account_payment_order.bradesco_240_instruction_11",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_12",
        "l10n_br_account_payment_order.bradesco_240_instruction_12",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_13",
        "l10n_br_account_payment_order.bradesco_240_instruction_13",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_14",
        "l10n_br_account_payment_order.bradesco_240_instruction_14",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_15",
        "l10n_br_account_payment_order.bradesco_240_instruction_15",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_16",
        "l10n_br_account_payment_order.bradesco_240_instruction_16",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_17",
        "l10n_br_account_payment_order.bradesco_240_instruction_17",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_18",
        "l10n_br_account_payment_order.bradesco_240_instruction_18",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_19",
        "l10n_br_account_payment_order.bradesco_240_instruction_19",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_20",
        "l10n_br_account_payment_order.bradesco_240_instruction_20",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_21",
        "l10n_br_account_payment_order.bradesco_240_instruction_21",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_22",
        "l10n_br_account_payment_order.bradesco_240_instruction_22",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_23",
        "l10n_br_account_payment_order.bradesco_240_instruction_23",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_24",
        "l10n_br_account_payment_order.bradesco_240_instruction_24",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_30",
        "l10n_br_account_payment_order.bradesco_240_instruction_30",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_31",
        "l10n_br_account_payment_order.bradesco_240_instruction_31",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_33",
        "l10n_br_account_payment_order.bradesco_240_instruction_33",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_34",
        "l10n_br_account_payment_order.bradesco_240_instruction_34",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_35",
        "l10n_br_account_payment_order.bradesco_240_instruction_35",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_40",
        "l10n_br_account_payment_order.bradesco_240_instruction_40",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_41",
        "l10n_br_account_payment_order.bradesco_240_instruction_41",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_42",
        "l10n_br_account_payment_order.bradesco_240_instruction_42",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_43",
        "l10n_br_account_payment_order.bradesco_240_instruction_43",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_44",
        "l10n_br_account_payment_order.bradesco_240_instruction_44",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_45",
        "l10n_br_account_payment_order.bradesco_240_instruction_45",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_instruction_code_46",
        "l10n_br_account_payment_order.bradesco_240_instruction_46",
    ),
    # Codigo de Retorno 240
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_02",
        "l10n_br_account_payment_order.bradesco_240_return_02",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_03",
        "l10n_br_account_payment_order.bradesco_240_return_03",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_04",
        "l10n_br_account_payment_order.bradesco_240_return_04",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_05",
        "l10n_br_account_payment_order.bradesco_240_return_05",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_06",
        "l10n_br_account_payment_order.bradesco_240_return_06",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_07",
        "l10n_br_account_payment_order.bradesco_240_return_07",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_08",
        "l10n_br_account_payment_order.bradesco_240_return_08",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_09",
        "l10n_br_account_payment_order.bradesco_240_return_09",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_11",
        "l10n_br_account_payment_order.bradesco_240_return_11",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_12",
        "l10n_br_account_payment_order.bradesco_240_return_12",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_13",
        "l10n_br_account_payment_order.bradesco_240_return_13",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_14",
        "l10n_br_account_payment_order.bradesco_240_return_14",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_15",
        "l10n_br_account_payment_order.bradesco_240_return_15",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_17",
        "l10n_br_account_payment_order.bradesco_240_return_17",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_19",
        "l10n_br_account_payment_order.bradesco_240_return_19",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_20",
        "l10n_br_account_payment_order.bradesco_240_return_20",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_23",
        "l10n_br_account_payment_order.bradesco_240_return_23",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_24",
        "l10n_br_account_payment_order.bradesco_240_return_24",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_25",
        "l10n_br_account_payment_order.bradesco_240_return_25",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_26",
        "l10n_br_account_payment_order.bradesco_240_return_26",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_27",
        "l10n_br_account_payment_order.bradesco_240_return_27",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_28",
        "l10n_br_account_payment_order.bradesco_240_return_28",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_29",
        "l10n_br_account_payment_order.bradesco_240_return_29",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_30",
        "l10n_br_account_payment_order.bradesco_240_return_30",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_33",
        "l10n_br_account_payment_order.bradesco_240_return_33",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_34",
        "l10n_br_account_payment_order.bradesco_240_return_34",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_35",
        "l10n_br_account_payment_order.bradesco_240_return_35",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_36",
        "l10n_br_account_payment_order.bradesco_240_return_36",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_37",
        "l10n_br_account_payment_order.bradesco_240_return_37",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_38",
        "l10n_br_account_payment_order.bradesco_240_return_38",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_39",
        "l10n_br_account_payment_order.bradesco_240_return_39",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_40",
        "l10n_br_account_payment_order.bradesco_240_return_40",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_41",
        "l10n_br_account_payment_order.bradesco_240_return_41",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_42",
        "l10n_br_account_payment_order.bradesco_240_return_42",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_43",
        "l10n_br_account_payment_order.bradesco_240_return_43",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_44",
        "l10n_br_account_payment_order.bradesco_240_return_44",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_45",
        "l10n_br_account_payment_order.bradesco_240_return_45",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_46",
        "l10n_br_account_payment_order.bradesco_240_return_46",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_47",
        "l10n_br_account_payment_order.bradesco_240_return_47",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_48",
        "l10n_br_account_payment_order.bradesco_240_return_48",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_49",
        "l10n_br_account_payment_order.bradesco_240_return_49",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_50",
        "l10n_br_account_payment_order.bradesco_240_return_50",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_51",
        "l10n_br_account_payment_order.bradesco_240_return_51",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_52",
        "l10n_br_account_payment_order.bradesco_240_return_52",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_53",
        "l10n_br_account_payment_order.bradesco_240_return_53",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_54",
        "l10n_br_account_payment_order.bradesco_240_return_54",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_55",
        "l10n_br_account_payment_order.bradesco_240_return_55",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_56",
        "l10n_br_account_payment_order.bradesco_240_return_56",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_57",
        "l10n_br_account_payment_order.bradesco_240_return_57",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_58",
        "l10n_br_account_payment_order.bradesco_240_return_58",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_59",
        "l10n_br_account_payment_order.bradesco_240_return_59",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_240-mov_return_code_60",
        "l10n_br_account_payment_order.bradesco_240_return_60",
    ),
    # Codigo de Retorno 400
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_02",
        "l10n_br_account_payment_order.bradesco_400_return_02",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_03",
        "l10n_br_account_payment_order.bradesco_400_return_03",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_06",
        "l10n_br_account_payment_order.bradesco_400_return_06",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_07",
        "l10n_br_account_payment_order.bradesco_400_return_07",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_08",
        "l10n_br_account_payment_order.bradesco_400_return_08",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_09",
        "l10n_br_account_payment_order.bradesco_400_return_09",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_10",
        "l10n_br_account_payment_order.bradesco_400_return_10",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_11",
        "l10n_br_account_payment_order.bradesco_400_return_11",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_12",
        "l10n_br_account_payment_order.bradesco_400_return_12",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_13",
        "l10n_br_account_payment_order.bradesco_400_return_13",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_14",
        "l10n_br_account_payment_order.bradesco_400_return_14",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_15",
        "l10n_br_account_payment_order.bradesco_400_return_15",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_16",
        "l10n_br_account_payment_order.bradesco_400_return_16",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_17",
        "l10n_br_account_payment_order.bradesco_400_return_17",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_18",
        "l10n_br_account_payment_order.bradesco_400_return_18",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_19",
        "l10n_br_account_payment_order.bradesco_400_return_19",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_20",
        "l10n_br_account_payment_order.bradesco_400_return_20",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_21",
        "l10n_br_account_payment_order.bradesco_400_return_21",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_22",
        "l10n_br_account_payment_order.bradesco_400_return_22",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_23",
        "l10n_br_account_payment_order.bradesco_400_return_23",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_24",
        "l10n_br_account_payment_order.bradesco_400_return_24",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_25",
        "l10n_br_account_payment_order.bradesco_400_return_25",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_27",
        "l10n_br_account_payment_order.bradesco_400_return_27",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_28",
        "l10n_br_account_payment_order.bradesco_400_return_28",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_29",
        "l10n_br_account_payment_order.bradesco_400_return_29",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_30",
        "l10n_br_account_payment_order.bradesco_400_return_30",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_31",
        "l10n_br_account_payment_order.bradesco_400_return_31",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_32",
        "l10n_br_account_payment_order.bradesco_400_return_32",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_33",
        "l10n_br_account_payment_order.bradesco_400_return_33",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_34",
        "l10n_br_account_payment_order.bradesco_400_return_34",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_35",
        "l10n_br_account_payment_order.bradesco_400_return_35",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_37",
        "l10n_br_account_payment_order.bradesco_400_return_37",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_38",
        "l10n_br_account_payment_order.bradesco_400_return_38",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_39",
        "l10n_br_account_payment_order.bradesco_400_return_39",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_40",
        "l10n_br_account_payment_order.bradesco_400_return_40",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_55",
        "l10n_br_account_payment_order.bradesco_400_return_55",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_68",
        "l10n_br_account_payment_order.bradesco_400_return_68",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_69",
        "l10n_br_account_payment_order.bradesco_400_return_69",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_73",
        "l10n_br_account_payment_order.bradesco_400_return_73",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_74",
        "l10n_br_account_payment_order.bradesco_400_return_74",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_return_code_00",
        "l10n_br_account_payment_order.bradesco_400_return_00",
    ),
    # Banco do Brasil
    # Codigo de Retorno 400
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-02",
        "l10n_br_account_payment_order.brasil_400_return_02",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-03",
        "l10n_br_account_payment_order.brasil_400_return_03",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-05",
        "l10n_br_account_payment_order.brasil_400_return_05",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-06",
        "l10n_br_account_payment_order.brasil_400_return_06",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-07",
        "l10n_br_account_payment_order.brasil_400_return_07",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-08",
        "l10n_br_account_payment_order.brasil_400_return_08",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-09",
        "l10n_br_account_payment_order.brasil_400_return_09",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-10",
        "l10n_br_account_payment_order.brasil_400_return_10",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-11",
        "l10n_br_account_payment_order.brasil_400_return_11",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-12",
        "l10n_br_account_payment_order.brasil_400_return_12",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-13",
        "l10n_br_account_payment_order.brasil_400_return_13",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-14",
        "l10n_br_account_payment_order.brasil_400_return_14",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-15",
        "l10n_br_account_payment_order.brasil_400_return_15",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-16",
        "l10n_br_account_payment_order.brasil_400_return_16",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-19",
        "l10n_br_account_payment_order.brasil_400_return_19",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-20",
        "l10n_br_account_payment_order.brasil_400_return_20",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-21",
        "l10n_br_account_payment_order.brasil_400_return_21",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-22",
        "l10n_br_account_payment_order.brasil_400_return_22",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-23",
        "l10n_br_account_payment_order.brasil_400_return_23",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-24",
        "l10n_br_account_payment_order.brasil_400_return_24",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-25",
        "l10n_br_account_payment_order.brasil_400_return_25",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-26",
        "l10n_br_account_payment_order.brasil_400_return_26",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-28",
        "l10n_br_account_payment_order.brasil_400_return_28",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-31",
        "l10n_br_account_payment_order.brasil_400_return_31",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-32",
        "l10n_br_account_payment_order.brasil_400_return_32",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-33",
        "l10n_br_account_payment_order.brasil_400_return_33",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-35",
        "l10n_br_account_payment_order.brasil_400_return_35",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-36",
        "l10n_br_account_payment_order.brasil_400_return_36",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-37",
        "l10n_br_account_payment_order.brasil_400_return_37",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-38",
        "l10n_br_account_payment_order.brasil_400_return_38",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-39",
        "l10n_br_account_payment_order.brasil_400_return_39",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-41",
        "l10n_br_account_payment_order.brasil_400_return_41",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-42",
        "l10n_br_account_payment_order.brasil_400_return_42",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-44",
        "l10n_br_account_payment_order.brasil_400_return_44",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-46",
        "l10n_br_account_payment_order.brasil_400_return_46",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-47",
        "l10n_br_account_payment_order.brasil_400_return_47",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-61",
        "l10n_br_account_payment_order.brasil_400_return_61",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-72",
        "l10n_br_account_payment_order.brasil_400_return_72",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-73",
        "l10n_br_account_payment_order.brasil_400_return_73",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-85",
        "l10n_br_account_payment_order.brasil_400_return_85",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-86",
        "l10n_br_account_payment_order.brasil_400_return_86",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-93",
        "l10n_br_account_payment_order.brasil_400_return_93",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-96",
        "l10n_br_account_payment_order.brasil_400_return_96",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-97",
        "l10n_br_account_payment_order.brasil_400_return_97",
    ),
    (
        "l10n_br_account_payment_order.banco_brasil_cnab_400-98",
        "l10n_br_account_payment_order.brasil_400_return_98",
    ),
    # CEF
    # Codigo de Instrução 240
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_01",
        "l10n_br_account_payment_order.cef_240_instruction_01",
    ),
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_02",
        "l10n_br_account_payment_order.cef_240_instruction_02",
    ),
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_04",
        "l10n_br_account_payment_order.cef_240_instruction_04",
    ),
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_05",
        "l10n_br_account_payment_order.cef_240_instruction_05",
    ),
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_06",
        "l10n_br_account_payment_order.cef_240_instruction_06",
    ),
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_07",
        "l10n_br_account_payment_order.cef_240_instruction_07",
    ),
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_08",
        "l10n_br_account_payment_order.cef_240_instruction_08",
    ),
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_09",
        "l10n_br_account_payment_order.cef_240_instruction_09",
    ),
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_10",
        "l10n_br_account_payment_order.cef_240_instruction_10",
    ),
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_11",
        "l10n_br_account_payment_order.cef_240_instruction_11",
    ),
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_31",
        "l10n_br_account_payment_order.cef_240_instruction_31",
    ),
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_33",
        "l10n_br_account_payment_order.cef_240_instruction_33",
    ),
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_36",
        "l10n_br_account_payment_order.cef_240_instruction_36",
    ),
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_37",
        "l10n_br_account_payment_order.cef_240_instruction_37",
    ),
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_38",
        "l10n_br_account_payment_order.cef_240_instruction_38",
    ),
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_40",
        "l10n_br_account_payment_order.cef_240_instruction_40",
    ),
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_47",
        "l10n_br_account_payment_order.cef_240_instruction_47",
    ),
    (
        "l10n_br_account_payment_order.cef_cnab_240-mov_instruction_code_48",
        "l10n_br_account_payment_order.cef_240_instruction_48",
    ),
    # Codigo de Retorno 240
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_01",
        "l10n_br_account_payment_order.cef_240_return_01",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_02",
        "l10n_br_account_payment_order.cef_240_return_02",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_03",
        "l10n_br_account_payment_order.cef_240_return_03",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_04",
        "l10n_br_account_payment_order.cef_240_return_04",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_05",
        "l10n_br_account_payment_order.cef_240_return_05",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_06",
        "l10n_br_account_payment_order.cef_240_return_06",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_07",
        "l10n_br_account_payment_order.cef_240_return_07",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_08",
        "l10n_br_account_payment_order.cef_240_return_08",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_09",
        "l10n_br_account_payment_order.cef_240_return_09",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_12",
        "l10n_br_account_payment_order.cef_240_return_12",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_13",
        "l10n_br_account_payment_order.cef_240_return_13",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_14",
        "l10n_br_account_payment_order.cef_240_return_14",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_19",
        "l10n_br_account_payment_order.cef_240_return_19",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_20",
        "l10n_br_account_payment_order.cef_240_return_20",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_23",
        "l10n_br_account_payment_order.cef_240_return_23",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_24",
        "l10n_br_account_payment_order.cef_240_return_24",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_25",
        "l10n_br_account_payment_order.cef_240_return_25",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_26",
        "l10n_br_account_payment_order.cef_240_return_26",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_27",
        "l10n_br_account_payment_order.cef_240_return_27",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_28",
        "l10n_br_account_payment_order.cef_240_return_28",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_30",
        "l10n_br_account_payment_order.cef_240_return_30",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_35",
        "l10n_br_account_payment_order.cef_240_return_35",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_36",
        "l10n_br_account_payment_order.cef_240_return_36",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_37",
        "l10n_br_account_payment_order.cef_240_return_37",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_38",
        "l10n_br_account_payment_order.cef_240_return_38",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_39",
        "l10n_br_account_payment_order.cef_240_return_39",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_40",
        "l10n_br_account_payment_order.cef_240_return_40",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_41",
        "l10n_br_account_payment_order.cef_240_return_41",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_44",
        "l10n_br_account_payment_order.cef_240_return_44",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_45",
        "l10n_br_account_payment_order.cef_240_return_45",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_46",
        "l10n_br_account_payment_order.cef_240_return_46",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_47",
        "l10n_br_account_payment_order.cef_240_return_47",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_51",
        "l10n_br_account_payment_order.cef_240_return_51",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_52",
        "l10n_br_account_payment_order.cef_240_return_52",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_53",
        "l10n_br_account_payment_order.cef_240_return_53",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_61",
        "l10n_br_account_payment_order.cef_240_return_61",
    ),
    (
        "l10n_br_account_payment_order.banco_cef_cnab_240-mov_return_code_62",
        "l10n_br_account_payment_order.cef_240_return_62",
    ),
    # Itau
    # Codigo de Instrução 240
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_instruction_code_01",
        "l10n_br_account_payment_order.itau_240_instruction_01",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_instruction_code_02",
        "l10n_br_account_payment_order.itau_240_instruction_02",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_instruction_code_04",
        "l10n_br_account_payment_order.itau_240_instruction_04",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_instruction_code_05",
        "l10n_br_account_payment_order.itau_240_instruction_05",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_instruction_code_06",
        "l10n_br_account_payment_order.itau_240_instruction_06",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_instruction_code_09",
        "l10n_br_account_payment_order.itau_240_instruction_09",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_instruction_code_10",
        "l10n_br_account_payment_order.itau_240_instruction_10",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_instruction_code_18",
        "l10n_br_account_payment_order.itau_240_instruction_18",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_instruction_code_31",
        "l10n_br_account_payment_order.itau_240_instruction_31",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_instruction_code_38",
        "l10n_br_account_payment_order.itau_240_instruction_38",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_instruction_code_41",
        "l10n_br_account_payment_order.itau_240_instruction_41",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_instruction_code_49",
        "l10n_br_account_payment_order.itau_240_instruction_49",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_instruction_code_66",
        "l10n_br_account_payment_order.itau_240_instruction_66",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_instruction_code_67",
        "l10n_br_account_payment_order.itau_240_instruction_67",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_instruction_code_68",
        "l10n_br_account_payment_order.itau_240_instruction_68",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_instruction_code_69",
        "l10n_br_account_payment_order.itau_240_instruction_69",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_instruction_code_93",
        "l10n_br_account_payment_order.itau_240_instruction_93",
    ),
    # Codigo de Retorno 240
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_02",
        "l10n_br_account_payment_order.itau_240_return_02",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_03",
        "l10n_br_account_payment_order.itau_240_return_03",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_04",
        "l10n_br_account_payment_order.itau_240_return_04",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_05",
        "l10n_br_account_payment_order.itau_240_return_05",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_06",
        "l10n_br_account_payment_order.itau_240_return_06",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_08",
        "l10n_br_account_payment_order.itau_240_return_08",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_09",
        "l10n_br_account_payment_order.itau_240_return_09",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_10",
        "l10n_br_account_payment_order.itau_240_return_10",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_11",
        "l10n_br_account_payment_order.itau_240_return_11",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_12",
        "l10n_br_account_payment_order.itau_240_return_12",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_13",
        "l10n_br_account_payment_order.itau_240_return_13",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_14",
        "l10n_br_account_payment_order.itau_240_return_14",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_15",
        "l10n_br_account_payment_order.itau_240_return_15",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_16",
        "l10n_br_account_payment_order.itau_240_return_16",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_17",
        "l10n_br_account_payment_order.itau_240_return_17",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_18",
        "l10n_br_account_payment_order.itau_240_return_18",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_19",
        "l10n_br_account_payment_order.itau_240_return_19",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_20",
        "l10n_br_account_payment_order.itau_240_return_20",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_21",
        "l10n_br_account_payment_order.itau_240_return_21",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_23",
        "l10n_br_account_payment_order.itau_240_return_23",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_24",
        "l10n_br_account_payment_order.itau_240_return_24",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_25",
        "l10n_br_account_payment_order.itau_240_return_25",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_26",
        "l10n_br_account_payment_order.itau_240_return_26",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_27",
        "l10n_br_account_payment_order.itau_240_return_27",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_28",
        "l10n_br_account_payment_order.itau_240_return_28",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_29",
        "l10n_br_account_payment_order.itau_240_return_29",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_30",
        "l10n_br_account_payment_order.itau_240_return_30",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_32",
        "l10n_br_account_payment_order.itau_240_return_32",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_33",
        "l10n_br_account_payment_order.itau_240_return_33",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_34",
        "l10n_br_account_payment_order.itau_240_return_34",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_35",
        "l10n_br_account_payment_order.itau_240_return_35",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_36",
        "l10n_br_account_payment_order.itau_240_return_36",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_37",
        "l10n_br_account_payment_order.itau_240_return_37",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_38",
        "l10n_br_account_payment_order.itau_240_return_38",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_39",
        "l10n_br_account_payment_order.itau_240_return_39",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_40",
        "l10n_br_account_payment_order.itau_240_return_40",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_41",
        "l10n_br_account_payment_order.itau_240_return_41",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_42",
        "l10n_br_account_payment_order.itau_240_return_42",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_43",
        "l10n_br_account_payment_order.itau_240_return_43",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_44",
        "l10n_br_account_payment_order.itau_240_return_44",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_45",
        "l10n_br_account_payment_order.itau_240_return_45",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_46",
        "l10n_br_account_payment_order.itau_240_return_46",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_47",
        "l10n_br_account_payment_order.itau_240_return_47",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_48",
        "l10n_br_account_payment_order.itau_240_return_48",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_51",
        "l10n_br_account_payment_order.itau_240_return_51",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_52",
        "l10n_br_account_payment_order.itau_240_return_52",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_53",
        "l10n_br_account_payment_order.itau_240_return_53",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_54",
        "l10n_br_account_payment_order.itau_240_return_54",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_55",
        "l10n_br_account_payment_order.itau_240_return_55",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_56",
        "l10n_br_account_payment_order.itau_240_return_56",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_57",
        "l10n_br_account_payment_order.itau_240_return_57",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_60",
        "l10n_br_account_payment_order.itau_240_return_60",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_61",
        "l10n_br_account_payment_order.itau_240_return_61",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_62",
        "l10n_br_account_payment_order.itau_240_return_62",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_63",
        "l10n_br_account_payment_order.itau_240_return_63",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_74",
        "l10n_br_account_payment_order.itau_240_return_74",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_75",
        "l10n_br_account_payment_order.itau_240_return_75",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_77",
        "l10n_br_account_payment_order.itau_240_return_77",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_78",
        "l10n_br_account_payment_order.itau_240_return_78",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_79",
        "l10n_br_account_payment_order.itau_240_return_79",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_80",
        "l10n_br_account_payment_order.itau_240_return_80",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_82",
        "l10n_br_account_payment_order.itau_240_return_82",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_83",
        "l10n_br_account_payment_order.itau_240_return_83",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_85",
        "l10n_br_account_payment_order.itau_240_return_85",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_86",
        "l10n_br_account_payment_order.itau_240_return_86",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_87",
        "l10n_br_account_payment_order.itau_240_return_87",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_88",
        "l10n_br_account_payment_order.itau_240_return_88",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_89",
        "l10n_br_account_payment_order.itau_240_return_89",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_90",
        "l10n_br_account_payment_order.itau_240_return_90",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_91",
        "l10n_br_account_payment_order.itau_240_return_91",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_92",
        "l10n_br_account_payment_order.itau_240_return_92",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_93",
        "l10n_br_account_payment_order.itau_240_return_93",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_240-mov_return_code_94",
        "l10n_br_account_payment_order.itau_240_return_94",
    ),
    # Codigos de Retorno 400
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_02",
        "l10n_br_account_payment_order.itau_400_return_02",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_03",
        "l10n_br_account_payment_order.itau_400_return_03",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_04",
        "l10n_br_account_payment_order.itau_400_return_04",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_05",
        "l10n_br_account_payment_order.itau_400_return_05",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_06",
        "l10n_br_account_payment_order.itau_400_return_06",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_07",
        "l10n_br_account_payment_order.itau_400_return_07",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_08",
        "l10n_br_account_payment_order.itau_400_return_08",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_09",
        "l10n_br_account_payment_order.itau_400_return_09",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_10",
        "l10n_br_account_payment_order.itau_400_return_10",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_11",
        "l10n_br_account_payment_order.itau_400_return_11",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_12",
        "l10n_br_account_payment_order.itau_400_return_12",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_13",
        "l10n_br_account_payment_order.itau_400_return_13",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_14",
        "l10n_br_account_payment_order.itau_400_return_14",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_15",
        "l10n_br_account_payment_order.itau_400_return_15",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_16",
        "l10n_br_account_payment_order.itau_400_return_16",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_17",
        "l10n_br_account_payment_order.itau_400_return_17",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_18",
        "l10n_br_account_payment_order.itau_400_return_18",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_19",
        "l10n_br_account_payment_order.itau_400_return_19",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_20",
        "l10n_br_account_payment_order.itau_400_return_20",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_21",
        "l10n_br_account_payment_order.itau_400_return_21",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_23",
        "l10n_br_account_payment_order.itau_400_return_23",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_24",
        "l10n_br_account_payment_order.itau_400_return_24",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_25",
        "l10n_br_account_payment_order.itau_400_return_25",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_26",
        "l10n_br_account_payment_order.itau_400_return_26",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_27",
        "l10n_br_account_payment_order.itau_400_return_27",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_28",
        "l10n_br_account_payment_order.itau_400_return_28",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_29",
        "l10n_br_account_payment_order.itau_400_return_29",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_30",
        "l10n_br_account_payment_order.itau_400_return_30",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_32",
        "l10n_br_account_payment_order.itau_400_return_32",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_33",
        "l10n_br_account_payment_order.itau_400_return_33",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_34",
        "l10n_br_account_payment_order.itau_400_return_34",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_35",
        "l10n_br_account_payment_order.itau_400_return_35",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_36",
        "l10n_br_account_payment_order.itau_400_return_36",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_37",
        "l10n_br_account_payment_order.itau_400_return_37",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_38",
        "l10n_br_account_payment_order.itau_400_return_38",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_39",
        "l10n_br_account_payment_order.itau_400_return_39",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_40",
        "l10n_br_account_payment_order.itau_400_return_40",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_41",
        "l10n_br_account_payment_order.itau_400_return_41",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_42",
        "l10n_br_account_payment_order.itau_400_return_42",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_43",
        "l10n_br_account_payment_order.itau_400_return_43",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_44",
        "l10n_br_account_payment_order.itau_400_return_44",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_45",
        "l10n_br_account_payment_order.itau_400_return_45",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_46",
        "l10n_br_account_payment_order.itau_400_return_46",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_47",
        "l10n_br_account_payment_order.itau_400_return_47",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_48",
        "l10n_br_account_payment_order.itau_400_return_48",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_51",
        "l10n_br_account_payment_order.itau_400_return_51",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_52",
        "l10n_br_account_payment_order.itau_400_return_52",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_53",
        "l10n_br_account_payment_order.itau_400_return_53",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_54",
        "l10n_br_account_payment_order.itau_400_return_54",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_55",
        "l10n_br_account_payment_order.itau_400_return_55",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_56",
        "l10n_br_account_payment_order.itau_400_return_56",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_57",
        "l10n_br_account_payment_order.itau_400_return_57",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_59",
        "l10n_br_account_payment_order.itau_400_return_59",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_60",
        "l10n_br_account_payment_order.itau_400_return_60",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_61",
        "l10n_br_account_payment_order.itau_400_return_61",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_62",
        "l10n_br_account_payment_order.itau_400_return_62",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_63",
        "l10n_br_account_payment_order.itau_400_return_63",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_64",
        "l10n_br_account_payment_order.itau_400_return_64",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_65",
        "l10n_br_account_payment_order.itau_400_return_65",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_69",
        "l10n_br_account_payment_order.itau_400_return_69",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_71",
        "l10n_br_account_payment_order.itau_400_return_71",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_72",
        "l10n_br_account_payment_order.itau_400_return_72",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_73",
        "l10n_br_account_payment_order.itau_400_return_73",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_74",
        "l10n_br_account_payment_order.itau_400_return_74",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_75",
        "l10n_br_account_payment_order.itau_400_return_75",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_76",
        "l10n_br_account_payment_order.itau_400_return_76",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_77",
        "l10n_br_account_payment_order.itau_400_return_77",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_78",
        "l10n_br_account_payment_order.itau_400_return_78",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_79",
        "l10n_br_account_payment_order.itau_400_return_79",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_80",
        "l10n_br_account_payment_order.itau_400_return_80",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_82",
        "l10n_br_account_payment_order.itau_400_return_82",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_83",
        "l10n_br_account_payment_order.itau_400_return_83",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_85",
        "l10n_br_account_payment_order.itau_400_return_85",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_86",
        "l10n_br_account_payment_order.itau_400_return_86",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_87",
        "l10n_br_account_payment_order.itau_400_return_87",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_88",
        "l10n_br_account_payment_order.itau_400_return_88",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_89",
        "l10n_br_account_payment_order.itau_400_return_89",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_90",
        "l10n_br_account_payment_order.itau_400_return_90",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_91",
        "l10n_br_account_payment_order.itau_400_return_91",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_92",
        "l10n_br_account_payment_order.itau_400_return_92",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_return_code_93",
        "l10n_br_account_payment_order.itau_400_return_93",
    ),
    # Sicred
    # Codigo de Instrução 240
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_01",
        "l10n_br_account_payment_order.sicredi_240_instruction_01",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_02",
        "l10n_br_account_payment_order.sicredi_240_instruction_02",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_04",
        "l10n_br_account_payment_order.sicredi_240_instruction_04",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_05",
        "l10n_br_account_payment_order.sicredi_240_instruction_05",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_06",
        "l10n_br_account_payment_order.sicredi_240_instruction_06",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_07",
        "l10n_br_account_payment_order.sicredi_240_instruction_07",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_08",
        "l10n_br_account_payment_order.sicredi_240_instruction_08",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_09",
        "l10n_br_account_payment_order.sicredi_240_instruction_09",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_10",
        "l10n_br_account_payment_order.sicredi_240_instruction_10",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_11",
        "l10n_br_account_payment_order.sicredi_240_instruction_11",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_12",
        "l10n_br_account_payment_order.sicredi_240_instruction_12",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_13",
        "l10n_br_account_payment_order.sicredi_240_instruction_13",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_16",
        "l10n_br_account_payment_order.sicredi_240_instruction_16",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_17",
        "l10n_br_account_payment_order.sicredi_240_instruction_17",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_31",
        "l10n_br_account_payment_order.sicredi_240_instruction_31",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_45",
        "l10n_br_account_payment_order.sicredi_240_instruction_45",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_75",
        "l10n_br_account_payment_order.sicredi_240_instruction_75",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_instruction_code_76",
        "l10n_br_account_payment_order.sicredi_240_instruction_76",
    ),
    # Codigo de Retorno 240
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_02",
        "l10n_br_account_payment_order.sicredi_240_return_02",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_03",
        "l10n_br_account_payment_order.sicredi_240_return_03",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_06",
        "l10n_br_account_payment_order.sicredi_240_return_06",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_07",
        "l10n_br_account_payment_order.sicredi_240_return_07",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_08",
        "l10n_br_account_payment_order.sicredi_240_return_08",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_09",
        "l10n_br_account_payment_order.sicredi_240_return_09",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_12",
        "l10n_br_account_payment_order.sicredi_240_return_12",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_13",
        "l10n_br_account_payment_order.sicredi_240_return_13",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_14",
        "l10n_br_account_payment_order.sicredi_240_return_14",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_17",
        "l10n_br_account_payment_order.sicredi_240_return_17",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_19",
        "l10n_br_account_payment_order.sicredi_240_return_19",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_20",
        "l10n_br_account_payment_order.sicredi_240_return_20",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_23",
        "l10n_br_account_payment_order.sicredi_240_return_23",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_24",
        "l10n_br_account_payment_order.sicredi_240_return_24",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_25",
        "l10n_br_account_payment_order.sicredi_240_return_25",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_26",
        "l10n_br_account_payment_order.sicredi_240_return_26",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_27",
        "l10n_br_account_payment_order.sicredi_240_return_27",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_28",
        "l10n_br_account_payment_order.sicredi_240_return_28",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_30",
        "l10n_br_account_payment_order.sicredi_240_return_30",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_36",
        "l10n_br_account_payment_order.sicredi_240_return_36",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_51",
        "l10n_br_account_payment_order.sicredi_240_return_51",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_52",
        "l10n_br_account_payment_order.sicredi_240_return_52",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_78",
        "l10n_br_account_payment_order.sicredi_240_return_78",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_79",
        "l10n_br_account_payment_order.sicredi_240_return_79",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_80",
        "l10n_br_account_payment_order.sicredi_240_return_80",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_81",
        "l10n_br_account_payment_order.sicredi_240_return_81",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_82",
        "l10n_br_account_payment_order.sicredi_240_return_82",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_83",
        "l10n_br_account_payment_order.sicredi_240_return_83",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_84",
        "l10n_br_account_payment_order.sicredi_240_return_84",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_85",
        "l10n_br_account_payment_order.sicredi_240_return_85",
    ),
    (
        "l10n_br_account_payment_order.banco_sicredi_cnab_240-mov_return_code_91",
        "l10n_br_account_payment_order.sicredi_240_return_91",
    ),
    # Unicred
    # Codigos de Instrução do Movimento 240 400
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_instruction_code_01",
        "l10n_br_account_payment_order.unicred_240_400_instruction_01",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_instruction_code_02",
        "l10n_br_account_payment_order.unicred_240_400_instruction_02",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_instruction_code_04",
        "l10n_br_account_payment_order.unicred_240_400_instruction_04",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_instruction_code_05",
        "l10n_br_account_payment_order.unicred_240_400_instruction_05",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_instruction_code_06",
        "l10n_br_account_payment_order.unicred_240_400_instruction_06",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_instruction_code_08",
        "l10n_br_account_payment_order.unicred_240_400_instruction_08",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_instruction_code_09",
        "l10n_br_account_payment_order.unicred_240_400_instruction_09",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_instruction_code_11",
        "l10n_br_account_payment_order.unicred_240_400_instruction_11",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_instruction_code_25",
        "l10n_br_account_payment_order.unicred_240_400_instruction_25",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_instruction_code_26",
        "l10n_br_account_payment_order.unicred_240_400_instruction_26",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_instruction_code_31",
        "l10n_br_account_payment_order.unicred_240_400_instruction_31",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_instruction_code_40",
        "l10n_br_account_payment_order.unicred_240_400_instruction_40",
    ),
    # Codigo de Retorno do Movimento 240 400
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_return_code_01",
        "l10n_br_account_payment_order.unicred_240_400_return_01",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_return_code_02",
        "l10n_br_account_payment_order.unicred_240_400_return_02",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_return_code_03",
        "l10n_br_account_payment_order.unicred_240_400_return_03",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_return_code_04",
        "l10n_br_account_payment_order.unicred_240_400_return_04",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_return_code_06",
        "l10n_br_account_payment_order.unicred_240_400_return_06",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_return_code_07",
        "l10n_br_account_payment_order.unicred_240_400_return_07",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_return_code_08",
        "l10n_br_account_payment_order.unicred_240_400_return_08",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_return_code_09",
        "l10n_br_account_payment_order.unicred_240_400_return_09",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_return_code_10",
        "l10n_br_account_payment_order.unicred_240_400_return_10",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_return_code_11",
        "l10n_br_account_payment_order.unicred_240_400_return_11",
    ),
    (
        "l10n_br_account_payment_order.unicred_cnab_400-mov_return_code_12",
        "l10n_br_account_payment_order.unicred_240_400_return_12",
    ),
]

_before_commit_cnab_codes = [
    # Codigos de Instrução do Movimento
    # Bradesco
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_01",
        "l10n_br_account_payment_order.bradesco_400_instruction_01",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_02",
        "l10n_br_account_payment_order.bradesco_400_instruction_02",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_03",
        "l10n_br_account_payment_order.bradesco_400_instruction_03",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_04",
        "l10n_br_account_payment_order.bradesco_400_instruction_04",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_05",
        "l10n_br_account_payment_order.bradesco_400_instruction_05",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_06",
        "l10n_br_account_payment_order.bradesco_400_instruction_06",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_07",
        "l10n_br_account_payment_order.bradesco_400_instruction_07",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_08",
        "l10n_br_account_payment_order.bradesco_400_instruction_08",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_09",
        "l10n_br_account_payment_order.bradesco_400_instruction_09",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_12",
        "l10n_br_account_payment_order.bradesco_400_instruction_12",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_13",
        "l10n_br_account_payment_order.bradesco_400_instruction_13",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_14",
        "l10n_br_account_payment_order.bradesco_400_instruction_14",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_18",
        "l10n_br_account_payment_order.bradesco_400_instruction_18",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_19",
        "l10n_br_account_payment_order.bradesco_400_instruction_19",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_20",
        "l10n_br_account_payment_order.bradesco_400_instruction_20",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_22",
        "l10n_br_account_payment_order.bradesco_400_instruction_22",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_23",
        "l10n_br_account_payment_order.bradesco_400_instruction_23",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_24",
        "l10n_br_account_payment_order.bradesco_400_instruction_24",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_31",
        "l10n_br_account_payment_order.bradesco_400_instruction_31",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_32",
        "l10n_br_account_payment_order.bradesco_400_instruction_32",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_45",
        "l10n_br_account_payment_order.bradesco_400_instruction_45",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_46",
        "l10n_br_account_payment_order.bradesco_400_instruction_46",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_47",
        "l10n_br_account_payment_order.bradesco_400_instruction_47",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_68",
        "l10n_br_account_payment_order.bradesco_400_instruction_68",
    ),
    (
        "l10n_br_account_payment_order.bradesco_cnab_400-mov_instruction_code_69",
        "l10n_br_account_payment_order.bradesco_400_instruction_69",
    ),
    # Banco do Brasil
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_01",
        "l10n_br_account_payment_order.brasil_400_instruction_01",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_02",
        "l10n_br_account_payment_order.brasil_400_instruction_02",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_03",
        "l10n_br_account_payment_order.brasil_400_instruction_03",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_04",
        "l10n_br_account_payment_order.brasil_400_instruction_04",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_05",
        "l10n_br_account_payment_order.brasil_400_instruction_05",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_06",
        "l10n_br_account_payment_order.brasil_400_instruction_06",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_07",
        "l10n_br_account_payment_order.brasil_400_instruction_07",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_08",
        "l10n_br_account_payment_order.brasil_400_instruction_08",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_09",
        "l10n_br_account_payment_order.brasil_400_instruction_09",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_10",
        "l10n_br_account_payment_order.brasil_400_instruction_10",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_11",
        "l10n_br_account_payment_order.brasil_400_instruction_11",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_12",
        "l10n_br_account_payment_order.brasil_400_instruction_12",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_16",
        "l10n_br_account_payment_order.brasil_400_instruction_16",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_31",
        "l10n_br_account_payment_order.brasil_400_instruction_31",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_32",
        "l10n_br_account_payment_order.brasil_400_instruction_32",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_33",
        "l10n_br_account_payment_order.brasil_400_instruction_33",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_34",
        "l10n_br_account_payment_order.brasil_400_instruction_34",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_35",
        "l10n_br_account_payment_order.brasil_400_instruction_35",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_36",
        "l10n_br_account_payment_order.brasil_400_instruction_36",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_37",
        "l10n_br_account_payment_order.brasil_400_instruction_37",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_38",
        "l10n_br_account_payment_order.brasil_400_instruction_38",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_39",
        "l10n_br_account_payment_order.brasil_400_instruction_39",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_40",
        "l10n_br_account_payment_order.brasil_400_instruction_40",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_47",
        "l10n_br_account_payment_order.brasil_400_instruction_47",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_85",
        "l10n_br_account_payment_order.brasil_400_instruction_85",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_86",
        "l10n_br_account_payment_order.brasil_400_instruction_86",
    ),
    (
        "l10n_br_account_payment_order.bb_cnab_400-mov_instruction_code_01",
        "l10n_br_account_payment_order.brasil_400_instruction_01",
    ),
    # Itau
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_01",
        "l10n_br_account_payment_order.itau_400_instruction_01",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_02",
        "l10n_br_account_payment_order.itau_400_instruction_02",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_04",
        "l10n_br_account_payment_order.itau_400_instruction_04",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_05",
        "l10n_br_account_payment_order.itau_400_instruction_05",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_06",
        "l10n_br_account_payment_order.itau_400_instruction_06",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_07",
        "l10n_br_account_payment_order.itau_400_instruction_07",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_08",
        "l10n_br_account_payment_order.itau_400_instruction_08",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_09",
        "l10n_br_account_payment_order.itau_400_instruction_09",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_10",
        "l10n_br_account_payment_order.itau_400_instruction_10",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_11",
        "l10n_br_account_payment_order.itau_400_instruction_11",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_18",
        "l10n_br_account_payment_order.itau_400_instruction_18",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_30",
        "l10n_br_account_payment_order.itau_400_instruction_30",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_31",
        "l10n_br_account_payment_order.itau_400_instruction_31",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_34",
        "l10n_br_account_payment_order.itau_400_instruction_34",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_35",
        "l10n_br_account_payment_order.itau_400_instruction_35",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_37",
        "l10n_br_account_payment_order.itau_400_instruction_37",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_38",
        "l10n_br_account_payment_order.itau_400_instruction_38",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_47",
        "l10n_br_account_payment_order.itau_400_instruction_47",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_49",
        "l10n_br_account_payment_order.itau_400_instruction_49",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_66",
        "l10n_br_account_payment_order.itau_400_instruction_66",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_67",
        "l10n_br_account_payment_order.itau_400_instruction_67",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_68",
        "l10n_br_account_payment_order.itau_400_instruction_68",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_69",
        "l10n_br_account_payment_order.itau_400_instruction_69",
    ),
    (
        "l10n_br_account_payment_order.itau_cnab_400-mov_instruction_code_93",
        "l10n_br_account_payment_order.itau_400_instruction_93",
    ),
]

_manual_dropped_cnab_codes = [
    # Codigos de Instrução do Movimento
    # Bradesco
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_01",
        "l10n_br_account_payment_order.bradesco_400_instruction_01",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_02",
        "l10n_br_account_payment_order.bradesco_400_instruction_02",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_03",
        "l10n_br_account_payment_order.bradesco_400_instruction_03",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_04",
        "l10n_br_account_payment_order.bradesco_400_instruction_04",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_05",
        "l10n_br_account_payment_order.bradesco_400_instruction_05",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_06",
        "l10n_br_account_payment_order.bradesco_400_instruction_06",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_07",
        "l10n_br_account_payment_order.bradesco_400_instruction_07",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_08",
        "l10n_br_account_payment_order.bradesco_400_instruction_08",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_09",
        "l10n_br_account_payment_order.bradesco_400_instruction_09",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_12",
        "l10n_br_account_payment_order.bradesco_400_instruction_12",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_13",
        "l10n_br_account_payment_order.bradesco_400_instruction_13",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_14",
        "l10n_br_account_payment_order.bradesco_400_instruction_14",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_18",
        "l10n_br_account_payment_order.bradesco_400_instruction_18",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_19",
        "l10n_br_account_payment_order.bradesco_400_instruction_19",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_20",
        "l10n_br_account_payment_order.bradesco_400_instruction_20",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_22",
        "l10n_br_account_payment_order.bradesco_400_instruction_22",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_23",
        "l10n_br_account_payment_order.bradesco_400_instruction_23",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_24",
        "l10n_br_account_payment_order.bradesco_400_instruction_24",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_31",
        "l10n_br_account_payment_order.bradesco_400_instruction_31",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_32",
        "l10n_br_account_payment_order.bradesco_400_instruction_32",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_45",
        "l10n_br_account_payment_order.bradesco_400_instruction_45",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_46",
        "l10n_br_account_payment_order.bradesco_400_instruction_46",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_47",
        "l10n_br_account_payment_order.bradesco_400_instruction_47",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_68",
        "l10n_br_account_payment_order.bradesco_400_instruction_68",
    ),
    (
        "l10n_br_account_payment_order.banco_bradesco_cnab_400-mov_instruction_code_69",
        "l10n_br_account_payment_order.bradesco_400_instruction_69",
    ),
    # Banco do Brasil
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_01",
        "l10n_br_account_payment_order.brasil_400_instruction_01",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_02",
        "l10n_br_account_payment_order.brasil_400_instruction_02",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_03",
        "l10n_br_account_payment_order.brasil_400_instruction_03",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_04",
        "l10n_br_account_payment_order.brasil_400_instruction_04",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_05",
        "l10n_br_account_payment_order.brasil_400_instruction_05",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_06",
        "l10n_br_account_payment_order.brasil_400_instruction_06",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_07",
        "l10n_br_account_payment_order.brasil_400_instruction_07",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_08",
        "l10n_br_account_payment_order.brasil_400_instruction_08",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_09",
        "l10n_br_account_payment_order.brasil_400_instruction_09",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_10",
        "l10n_br_account_payment_order.brasil_400_instruction_10",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_11",
        "l10n_br_account_payment_order.brasil_400_instruction_11",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_12",
        "l10n_br_account_payment_order.brasil_400_instruction_12",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_16",
        "l10n_br_account_payment_order.brasil_400_instruction_16",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_31",
        "l10n_br_account_payment_order.brasil_400_instruction_31",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_32",
        "l10n_br_account_payment_order.brasil_400_instruction_32",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_33",
        "l10n_br_account_payment_order.brasil_400_instruction_33",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_34",
        "l10n_br_account_payment_order.brasil_400_instruction_34",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_35",
        "l10n_br_account_payment_order.brasil_400_instruction_35",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_36",
        "l10n_br_account_payment_order.brasil_400_instruction_36",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_37",
        "l10n_br_account_payment_order.brasil_400_instruction_37",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_38",
        "l10n_br_account_payment_order.brasil_400_instruction_38",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_39",
        "l10n_br_account_payment_order.brasil_400_instruction_39",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_40",
        "l10n_br_account_payment_order.brasil_400_instruction_40",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_47",
        "l10n_br_account_payment_order.brasil_400_instruction_47",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_85",
        "l10n_br_account_payment_order.brasil_400_instruction_85",
    ),
    (
        "l10n_br_account_payment_order.banco_bb_cnab_400-mov_instruction_code_86",
        "l10n_br_account_payment_order.brasil_400_instruction_86",
    ),
    # Itau
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_01",
        "l10n_br_account_payment_order.itau_400_instruction_01",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_02",
        "l10n_br_account_payment_order.itau_400_instruction_02",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_04",
        "l10n_br_account_payment_order.itau_400_instruction_04",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_05",
        "l10n_br_account_payment_order.itau_400_instruction_05",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_06",
        "l10n_br_account_payment_order.itau_400_instruction_06",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_07",
        "l10n_br_account_payment_order.itau_400_instruction_07",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_08",
        "l10n_br_account_payment_order.itau_400_instruction_08",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_09",
        "l10n_br_account_payment_order.itau_400_instruction_09",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_10",
        "l10n_br_account_payment_order.itau_400_instruction_10",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_11",
        "l10n_br_account_payment_order.itau_400_instruction_11",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_18",
        "l10n_br_account_payment_order.itau_400_instruction_18",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_30",
        "l10n_br_account_payment_order.itau_400_instruction_30",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_31",
        "l10n_br_account_payment_order.itau_400_instruction_31",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_34",
        "l10n_br_account_payment_order.itau_400_instruction_34",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_35",
        "l10n_br_account_payment_order.itau_400_instruction_35",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_37",
        "l10n_br_account_payment_order.itau_400_instruction_37",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_38",
        "l10n_br_account_payment_order.itau_400_instruction_38",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_47",
        "l10n_br_account_payment_order.itau_400_instruction_47",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_49",
        "l10n_br_account_payment_order.itau_400_instruction_49",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_66",
        "l10n_br_account_payment_order.itau_400_instruction_66",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_67",
        "l10n_br_account_payment_order.itau_400_instruction_67",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_68",
        "l10n_br_account_payment_order.itau_400_instruction_68",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_69",
        "l10n_br_account_payment_order.itau_400_instruction_69",
    ),
    (
        "l10n_br_account_payment_order.banco_itau_cnab_400-mov_instruction_code_93",
        "l10n_br_account_payment_order.itau_400_instruction_93",
    ),
]


@openupgrade.migrate(use_env=True)
def migrate(env, version):

    cr = env.cr

    # Caso da exclusão dos codigos genericos para o CNAB 240, faltou apaga-los
    # https://github.com/OCA/l10n-brazil/commit/594d4522c9c1b6cb486c7b9a73101d5c377ce987#
    # diff-b283404f18d37595a9f6351ae5f81c8cbf30149d2789814eccafd5a1b79869cf
    cr.execute(
        """
        SELECT id,name FROM ir_model_data
        WHERE name='cnab_240-mov_instruction_code_00'
    """
    )
    cnab240_generic = cr.fetchall()
    if cnab240_generic:
        # Durante um periodo foi pensando que o 240 fosse
        # mais padronizado porém isso não é a realidade, e como esses
        # dois casos do Bradesco e Itau 240 não estão implementados no
        # BRCobranca e hoje não há outra biblioteca na branch oficial
        # simplesmente estão sendo apagados.
        openupgrade.logged_query(
            env.cr,
            """
            DELETE FROM l10n_br_cnab_mov_instruction_code WHERE id in (
            SELECT res_id FROM ir_model_data WHERE name in (
              'cnab_240-mov_instruction_code_00',
              'cnab_240-mov_instruction_code_09',
              'cnab_240-mov_instruction_code_10',
              'cnab_240-mov_instruction_code_11',
              'cnab_240-mov_instruction_code_17',
              'cnab_240-mov_instruction_code_19',
              'cnab_240-mov_instruction_code_23',
              'cnab_240-mov_instruction_code_25',
              'cnab_240-mov_instruction_code_27',
              'cnab_240-mov_instruction_code_33',
              'cnab_240-mov_instruction_code_40',
              'cnab_240-mov_instruction_code_99'
            ) AND module = 'l10n_br_account_payment_order')
        """,
        )
        openupgrade.logged_query(
            env.cr,
            """
            DELETE FROM l10n_br_cnab_return_move_code WHERE id in (
            SELECT res_id FROM ir_model_data WHERE name in (
            'cnab_240-mov_return_code_02',
            'cnab_240-mov_return_code_03',
            'cnab_240-mov_return_code_06',
            'cnab_240-mov_return_code_07',
            'cnab_240-mov_return_code_08',
            'cnab_240-mov_return_code_09',
            'cnab_240-mov_return_code_10',
            'cnab_240-mov_return_code_12',
            'cnab_240-mov_return_code_13',
            'cnab_240-mov_return_code_14',
            'cnab_240-mov_return_code_17',
            'cnab_240-mov_return_code_26',
            'cnab_240-mov_return_code_27',
            'cnab_240-mov_return_code_30',
            'cnab_240-mov_return_code_36',
            'cnab_240-mov_return_code_37',
            'cnab_240-mov_return_code_38',
            'cnab_240-mov_return_code_02'
            ) AND module = 'l10n_br_account_payment_order')
        """,
        )
        openupgrade.logged_query(
            env.cr,
            """
            DELETE FROM ir_model_data WHERE name in (
            'cnab_240-mov_instruction_code_00',
            'cnab_240-mov_instruction_code_09',
            'cnab_240-mov_instruction_code_10',
            'cnab_240-mov_instruction_code_11',
            'cnab_240-mov_instruction_code_17',
            'cnab_240-mov_instruction_code_19',
            'cnab_240-mov_instruction_code_23',
            'cnab_240-mov_instruction_code_25',
            'cnab_240-mov_instruction_code_27',
            'cnab_240-mov_instruction_code_33',
            'cnab_240-mov_instruction_code_40',
            'cnab_240-mov_instruction_code_99',
            'cnab_240-mov_return_code_02',
            'cnab_240-mov_return_code_03',
            'cnab_240-mov_return_code_06',
            'cnab_240-mov_return_code_07',
            'cnab_240-mov_return_code_08',
            'cnab_240-mov_return_code_09',
            'cnab_240-mov_return_code_10',
            'cnab_240-mov_return_code_12',
            'cnab_240-mov_return_code_13',
            'cnab_240-mov_return_code_14',
            'cnab_240-mov_return_code_17',
            'cnab_240-mov_return_code_26',
            'cnab_240-mov_return_code_27',
            'cnab_240-mov_return_code_30',
            'cnab_240-mov_return_code_36',
            'cnab_240-mov_return_code_37',
            'cnab_240-mov_return_code_38',
            'cnab_240-mov_return_code_02'
            ) AND module = 'l10n_br_account_payment_order'
        """,
        )

    # Como no commit
    # https://github.com/OCA/l10n-brazil/commit/186bcc9c8532f500f1b959b420750b5c482ed3df
    # faltou a migração está sendo verificado se houve a exclusão manual
    # dos registros para evitar erros.
    cr.execute(
        """
        SELECT id,name FROM ir_model_data
        WHERE name='bradesco_cnab_400-mov_instruction_code_01'
    """
    )

    before_commit = cr.fetchall()

    _join_xml_ids_cnab_codes = []
    if before_commit:
        _join_xml_ids_cnab_codes = (
            _xml_ids_cnab_code_renames + _before_commit_cnab_codes
        )
    else:
        _join_xml_ids_cnab_codes = (
            _xml_ids_cnab_code_renames + _manual_dropped_cnab_codes
        )

    openupgrade.rename_xmlids(env.cr, _join_xml_ids_cnab_codes)
